## org.eclipse.jst.jsf.context.resolver
Interface IDocumentContextResolver

All Superinterfaces:
  IContextResolver

All Known Subinterfaces:
  IDOMContextResolver, IMetadataContextResolver, ISymbolContextResolver, ITaglibContextResolver, IWorkspaceContextResolver

All Known Implementing Classes:
  AbstractDocumentContextResolver, AbstractSymbolContextResolver, CachingSymbolContextResolver

    public interface IDocumentContextResolver

extends IContextResolver

The super-interface for all context resolvers that are related to IDocumentContext's. This interface may NOT be implemented by clients directly but may be sub-classed. Use AbstractDocumentContextResolver for implementation.

Method Summary

Methods inherited from interface org.eclipse.jst.jsf.context.resolver.IContextResolver
`canResolveContext`